org.apache.ignite.internal.util.nodestart

## Class IgniteRemoteStartSpecification

- java.lang.Object
- - org.apache.ignite.internal.util.nodestart.IgniteRemoteStartSpecification

    public class IgniteRemoteStartSpecification
    extends Object

Host data.

### Constructor Summary

Constructors
Constructor and Description
`IgniteRemoteStartSpecification(@Nullable String host, int port, @Nullable String uname, @Nullable String passwd, @Nullable File key, int nodes, @Nullable String igniteHome, @Nullable String cfg, @Nullable String script)`
`IgniteRemoteStartSpecification(@Nullable String host, int port, @Nullable String uname, @Nullable String passwd, @Nullable File key, int nodes, @Nullable String igniteHome, @Nullable String cfg, @Nullable String script, @Nullable IgniteLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `configuration()`
`String` `configurationName()`
`boolean` `equals(Object o)`
`void` `fixPaths(char separator)` Sets correct separator in paths.
`int` `hashCode()`
`String` `host()`
`String` `igniteHome()`
`File` `key()`
`String` `keyName()`
`IgniteLogger` `logger()`
`int` `nodes()`
`String` `password()`
`int` `port()`
`String` `script()`
`String` `username()`
`boolean` `valid()`
`void` `valid(boolean valid)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteRemoteStartSpecification

    public IgniteRemoteStartSpecification(@Nullable
                                          @Nullable String host,
                                          int port,
                                          @Nullable
                                          @Nullable String uname,
                                          @Nullable
                                          @Nullable String passwd,
                                          @Nullable
                                          @Nullable File key,
                                          int nodes,
                                          @Nullable
                                          @Nullable String igniteHome,
                                          @Nullable
                                          @Nullable String cfg,
                                          @Nullable
                                          @Nullable String script)

Parameters:
  `host` - Hostname.
  `port` - Port number.
  `uname` - Username.
  `passwd` - Password (can be `null` if private key authentication is used).
  `key` - Private key file path.
  `nodes` - Number of nodes to start.
  `igniteHome` - Ignite installation folder.
  `cfg` - Configuration path.
  `script` - Script path.

#### IgniteRemoteStartSpecification

    public IgniteRemoteStartSpecification(@Nullable
                                          @Nullable String host,
                                          int port,
                                          @Nullable
                                          @Nullable String uname,
                                          @Nullable
                                          @Nullable String passwd,
                                          @Nullable
                                          @Nullable File key,
                                          int nodes,
                                          @Nullable
                                          @Nullable String igniteHome,
                                          @Nullable
                                          @Nullable String cfg,
                                          @Nullable
                                          @Nullable String script,
                                          @Nullable
                                          @Nullable IgniteLogger logger)

Parameters:
  `host` - Hostname.
  `port` - Port number.
  `uname` - Username.
  `passwd` - Password (can be `null` if private key authentication is used).
  `key` - Private key file path.
  `nodes` - Number of nodes to start.
  `igniteHome` - Ignite installation folder.
  `cfg` - Configuration path.
  `script` - Script path.
  `logger` - Custom logger.

### Method Detail

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### host

    public String host()

Returns:
  Hostname.

#### port

    public int port()

Returns:
  Port number.

#### username

    public String username()

Returns:
  Username.

#### password

    public String password()

Returns:
  Password.

#### key

    public File key()

Returns:
  Private key file path.

#### keyName

    public String keyName()

Returns:
  Private key file name.

#### nodes

    public int nodes()

Returns:
  Number of nodes to start.

#### igniteHome

    public String igniteHome()

Returns:
  Ignite installation folder.

#### configuration

    public String configuration()

Returns:
  Configuration full path.

#### configurationName

    public String configurationName()

Returns:
  Configuration path short version - just file name.

#### script

    public String script()

Returns:
  Script path.

#### logger

    public IgniteLogger logger()

Returns:
  Custom logger.

#### valid

    public boolean valid()

Returns:
  Valid flag.

#### valid

    public void valid(boolean valid)

Parameters:
  `valid` - Valid flag.

#### fixPaths

    public void fixPaths(char separator)

Sets correct separator in paths.

Parameters:
  `separator` - Separator.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022